# Class CIM_J2eeMessageDrivenBeanStats
extends CIM_J2eeEJBStats

The J2eeMessageDrivenBeanStats class defines the performance statistics that are provided by message driven beans.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_StatisticalData
|
+--CIM_J2eeStatistic
|
+--CIM_J2eeEJBStats
|
+--CIM_J2eeMessageDrivenBeanStats

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | The J2eeMessageDrivenBeanStats class defines the performance statistics that are provided by message driven beans.
UMLPackagePath | string | CIM::Application::J2eeAppServerStats
Version | string | 2.8.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
MessageCount | uint64 |
Counter | boolean | true
Description | string | The number of messages received.
MappingStrings | string | JSR77.JCP|JSR77.6.13.1.1 getMessageCount|V1.0

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
CreateCount | uint64 | CIM_J2eeEJBStats
Description | string | CIM_ManagedElement
ElementName | string | CIM_StatisticalData
InstanceID | string | CIM_StatisticalData
RemoveCount | uint64 | CIM_J2eeEJBStats
SampleInterval | datetime | CIM_StatisticalData
StartStatisticTime | datetime | CIM_StatisticalData
StatisticTime | datetime | CIM_StatisticalData

## Class Methods

### Inherited Class Methods

Name | Return Type | Class Origin
--- | --- | ---
GetLastSampleTime | uint64 | CIM_J2eeStatistic
GetStartTime | uint64 | CIM_J2eeStatistic
ResetSelectedStats | uint32 | CIM_StatisticalData